Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-icon-theme: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:44:26 +0000

---
 testing/mate-icon-theme/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/mate-icon-theme/APKBUILD
diff --git a/testing/mate-icon-theme/APKBUILD b/testing/mate-icon-theme/APKBUILD
new file mode 100644
index 0000000..498f8ea
--- /dev/null
+++ b/testing/mate-icon-theme/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-icon-theme
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE desktop icons"
+url="http://mate-desktop.org/"
+arch="noarch"
+license="GPL2"
+depends="mate-common"
+depends_dev=""
+makedepends="icon-naming-utils gawk autoconf automake intltool gettext-dev"
+install=""
+subpackages=""
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="acee85ec61cc8453569622f77e385c68  mate-icon-theme-1.9.0.tar.xz"
+sha256sums="7de4d79d991307d7756bd07e13297b63dc0492b409a7ee5c4918084f145bab6f  mate-icon-theme-1.9.0.tar.xz"
+sha512sums="8b16d9561c2e23c4dbae2a45650b8b523fc7602e53d57a9f4b9b2be883cc1cf47a988f2efe90def09e218bd9a8d856aef49be1c7a17ba2d98b364b8264e7c8e4  mate-icon-theme-1.9.0.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:44:26 GMT